<!DOCTYPE html>
<html lang="{% block locale %}en{% endblock %}">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <title>{% block title %}FDSNWS Station v1{% endblock %}</title>
        <meta name="description" content="{% block description %}FDSNWS Station WebService{% endblock %}">
        <meta name="author" content="Résif-DC">

        <!-- Bootstrap Core CSS -->
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">

        <!-- Bootswatch Theme CSS -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootswatch@5.1.3/dist/united/bootstrap.min.css" integrity="sha256-rU1IToLlw3oMuNHSO29CP/HxYCcBqq9Vc73wVnN5prQ=" crossorigin="anonymous">

        <!-- Bootstrap Icons -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.8.1/font/bootstrap-icons.css">

        <!-- Resif Custom CSS -->
        <link href="{{ layout.api_url() }}static/resif.css" rel="stylesheet">
    </head>

    <body>
        <header id="topbar" class="navbar navbar-expand-lg navbar-light">
            <div class="container">
                <a class="navbar-brand" href="{{ layout.api_root_url() }}"><img src="{{ layout.api_url() }}static/logo.png" alt="Résif" class="navbar-logo" /></a>

                <!-- Expander button -->
                <button type="button" class="navbar-toggler d-print-none" data-bs-toggle="collapse" data-bs-target="#navbar-collapse">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <!-- Expanded navigation -->
                <div id="navbar-collapse" class="justify-content-end navbar-collapse collapse">
                    <ul class="nav navbar-nav">
                        <li class="navitem active"><a href="{{ layout.api_root_url() }}" class="nav-link">Home</a></li>
                        <li class="dropdown">
                            <a href="#" id="dropdownTopWS" class="nav-link dropdown-toggle" data-bs-toggle="dropdown" aria-expanded="false">
                                Web services <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu" aria-labelledby="dropdownTopWS">
                                <li><a href="{{ layout.api_root_url() }}/fdsnws/" class="dropdown-item">FDSN</a></li>
                                <li><a href="{{ layout.api_root_url() }}/eidaws/" class="dropdown-item">EIDA</a></li>
                                <li><a href="{{ layout.api_root_url() }}/resifws/" class="dropdown-item">Résif</a></li>
                                <li><a href="{{ layout.api_root_url() }}/resifsi/" class="dropdown-item">Résif-SI</a></li>
                            </ul>
                        </li>
                        <li class="navitem">
                            <a href="{{ layout.api_root_url() }}/clients/" class="nav-link">Clients</a>
                        </li>
                    </ul>
                </div>
            </div>
        </header>

        <main role="main" class="container">
            <div class="row">
                {% if layout.sidebar %}
                <div id="sidebar" class="col-md-3 d-print-none d-none d-md-block hidden-print navbar navbar-light" role="complementary">
                    <ul class="nav navbar-nav flex-column">
                        <li class="nav-item" data-level="1">
                            <a href="{{ layout.api_url() }}" class="nav-link active">Web service Station</a>
                            <ul>
                            </ul>
                        </li>
                    </ul>
                </div>
                {% endif %}

                <div id="content"{% if layout.sidebar %} class="col-md-9"{% endif %}>
                    {% block content %}{% endblock %}
                </div>
            </div>
        </main>

        <footer class="d-print-none">
            <div class="row">
                <div class="col-md-8">
                    {%- block footer %}{%- endblock %}
                </div>
                <div class="col-md-4">
                    <img class="footer-logo" src="{{ layout.api_url() }}static/logo.png" />
                </div>
            </div>
        </footer>

        <!-- Bootstrap Core JavaScript -->
        <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.10.2/dist/umd/popper.min.js" integrity="sha384-7+zCNj/IqJ95wo16oMtfsKbZ9ccEh31eOz1HGyDuCQ6wgnyJNSYdrPa03rtR1zdB" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.min.js" integrity="sha384-QJHtvGhmr9XOIpI6YVutG+2QOK9T+ZnN4kzFN1RtK3zEFEIsxhlmWl5/YESvpZ13" crossorigin="anonymous"></script>

        <!-- JQuery Core JavaScript -->
        <script src="https://code.jquery.com/jquery-3.6.0.slim.min.js"></script>

        <!-- Copy to Clipboard (https://clipboardjs.com/) -->
        <script src="https://cdn.jsdelivr.net/npm/clipboard@2.0.10/dist/clipboard.min.js"></script>

        <!-- Custom script -->
        {% block script %}{% endblock %}
    </body>
</html>